#ifndef VDE_ModeloGRFDiffDIFF_H
#define VDE_ModeloGRFDiffDIFF_H

#include <Modelo3D.H>
#include <Parser.H>
#include <GL/glut.h>

using namespace GRF ;
using namespace VDE ;




class ModeloGRFDiff : public Modelo3D
{
   Parser * parser1 ;
   Parser * parser2 ;

   double
     maxIradiance1[3] ,
     maxIradiance2[3] ,
     avgIradiance1[3] ,
     avgIradiance2[3] ,

     maxAbsDiff[3] ,
     avgAbsDiff[3] ,
     maxAbsDiff3   ,

     avgIradiance3 ;



   bool differencesComputed ;

   Caja bBox ;

   void DrawModelFaces() ;

   void GetFaceNormal
   (
       const Face * f ,
       double n[3]
   ) ;


   void ComputeDifferences() ;
   void ComputeBoundingBox() ;
   void WriteDifferences() ;

   public:

   ModeloGRFDiff
   (
       const char * fileName1 ,
       const char * fileName2
   ) ;

   virtual Caja LeerCajaEnglobante() ;
   virtual void Dibujar() ;
   virtual void SetLights()  ;
   virtual void CallBackDesocupado() ;
   virtual void KeyPressEvent( unsigned char ch ) ;
} ;



#endif  // ifndef VDE_ModeloGRFDiff_H
